%define upstream_name	 bignum
%define upstream_version 0.67

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Transparent BigNumber support for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.220.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.580.0
BuildRequires: perl(Math::BigInt) >= 1.999.830
BuildRequires: perl(Math::BigRat) >= 0.262.300
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl-Math-BigInt >= 1.999.812
BuildArch:  noarch
Obsoletes:  perl-bignum < 0.370.0-4

Provides:   perl(bigrat)

%description
All operators (including basic math operations) are overloaded. Integer and
floating-point constants are created as proper BigInts or BigFloats,
respectively.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# Correct shebangs and permission
for F in lib/Math/BigInt/Trace.pm lib/Math/BigFloat/Trace.pm; do
    perl -MConfig -pi -e 's{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod -x "$F"
done

# Help generators to recognize Perl scripts
for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
export PERL5LIB=%{perl_vendorlib}
%__perl Makefile.PL installdirs=vendor
%make_build

%check
export PERL5LIB=%{perl_vendorlib}/
make test

%install
%make_install

%files
%doc BUGS CHANGES LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/Math
%{_mandir}/*/*

%changelog
* Mon Jan 01 2024 tv <tv> 0.670.0-1.mga10
+ Revision: 2025552
- update to 0.67

* Wed May 18 2022 tv <tv> 0.660.0-1.mga9
+ Revision: 1858674
- update to 0.66

* Fri Apr 22 2022 tv <tv> 0.650.0-1.mga9
+ Revision: 1852679
- update to 0.65

* Wed Mar 23 2022 umeabot <umeabot> 0.640.0-2.mga9
+ Revision: 1820995
- Mageia 9 Mass Rebuild

* Fri Dec 31 2021 tv <tv> 0.640.0-1.mga9
+ Revision: 1765532
- update to 0.64

* Sat Oct 16 2021 tv <tv> 0.630.0-1.mga9
+ Revision: 1751832
- update to 0.63

* Thu Oct 07 2021 tv <tv> 0.620.0-1.mga9
+ Revision: 1749866
- update to 0.62

* Mon Oct 04 2021 tv <tv> 0.610.0-1.mga9
+ Revision: 1749390
- update to 0.61

* Sat Jul 17 2021 tv <tv> 0.530.0-1.mga9
+ Revision: 1736517
- update to 0.53

* Fri Feb 14 2020 umeabot <umeabot> 0.510.0-2.mga8
+ Revision: 1519469
- Mageia 8 Mass Rebuild

* Wed Oct 17 2018 shlomif <shlomif> 0.510.0-1.mga7
+ Revision: 1321437
- update to 0.51

* Thu Sep 20 2018 umeabot <umeabot> 0.500.0-2.mga7
+ Revision: 1287489
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 shlomif <shlomif> 0.500.0-1.mga7
+ Revision: 1221656
- add BRs
- New version 0.50

* Sun Feb 25 2018 shlomif <shlomif> 0.490.0-1.mga7
+ Revision: 1204910
- update to 0.49

* Mon Oct 02 2017 tv <tv> 0.470.0-2.mga7
+ Revision: 1163164
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.470.0-1.mga7
+ Revision: 1157915
- update to 0.47

* Sat Jun 18 2016 pterjan <pterjan> 0.420.0-2.mga6
+ Revision: 1022708
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.420.0-1.mga6
+ Revision: 1002339
- update to 0.42

* Fri Feb 19 2016 umeabot <umeabot> 0.410.0-2.mga6
+ Revision: 969980
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.410.0-1.mga6
+ Revision: 884412
- update to 0.41

* Sun Sep 06 2015 sander85 <sander85> 0.380.0-1.mga6
+ Revision: 873410
- update to 0.38

* Wed Oct 15 2014 umeabot <umeabot> 0.370.0-3.mga5
+ Revision: 745593
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.370.0-2.mga5
+ Revision: 687016
- Mageia 5 Mass Rebuild

* Mon Apr 07 2014 jquelin <jquelin> 0.370.0-1.mga5
+ Revision: 612533
- update to 0.37

* Sat Oct 19 2013 umeabot <umeabot> 0.320.0-2.mga4
+ Revision: 526269
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.320.0-1.mga4
+ Revision: 436403
- update to 0.32

* Wed May 29 2013 tv <tv> 0.300.0-3.mga4
+ Revision: 432706
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 375387
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.300.0-1.mga3
+ Revision: 315732
- update to 0.30
+ kharec <kharec>
- update to 0.29
- update to 0.28

* Sat Jun 11 2011 spuhler <spuhler> 0.250.0-3.mga2
+ Revision: 104044
- increase rel for rebuild

* Mon Feb 28 2011 jquelin <jquelin> 0.250.0-2.mga1
+ Revision: 61447
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.250.0-1.mga1
+ Revision: 31532
- mageia rebuild
- imported package perl-bignum

